# Created by pyp2rpm-3.3.3
%global pypi_name stem

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %mkrel 2
Summary:        Python controller library for Tor
Group:          Development/Python
License:        LGPLv3
URL:            https://stem.torproject.org/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
# for tests
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pyflakes)
BuildRequires:  python3dist(pycodestyle)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(pynacl)

%description
Stem is a Python controller library for Tor. With it you can use Tor's control
protocol to script against the Tor process, or build things such as Nyx.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Stem is a Python controller library for Tor. With it you can use Tor's control
protocol to script against the Tor process, or build things such as Nyx.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} run_tests.py --unit

%files -n python3-%{pypi_name}
%license LICENSE
%doc html
%doc README.md
%{_bindir}/tor-prompt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Feb 19 2020 umeabot <umeabot> 1.8.0-2.mga8
+ Revision: 1543155
- Mageia 8 Mass Rebuild

* Wed Jan 15 2020 wally <wally> 1.8.0-1.mga8
+ Revision: 1478108
- new version 1.8.0

* Sat Dec 21 2019 wally <wally> 1.7.1-1.mga8
+ Revision: 1469278
- imported package python-stem

